PLaSK library

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
TNT Namespace Reference

## Classes
class | Array1D
class | Array2D
class | Array3D
class | Fortran_Array1D
class | Fortran_Array2D
class | Fortran_Array3D
class | i_refvec
class | Matrix
class | Sparse_Matrix_CompRow
| Read-only view of a sparse matrix in compressed-row storage format. More...
class | Stopwatch
class | Vector
| [Deprecatred] Value-based vector class from pre-1.0 TNT version. More...

## Typedefs
typedef TNT_SUBSCRIPT_TYPE | Subscript

## Functions
template<class T >
std::ostream & | operator<< (std::ostream &s, const Array1D< T > &A)
template<class T >
std::istream & | operator>> (std::istream &s, Array1D< T > &A)
template<class T >
Array1D< T > | operator+ (const Array1D< T > &A, const Array1D< T > &B)
template<class T >
Array1D< T > | operator- (const Array1D< T > &A, const Array1D< T > &B)
template<class T >
Array1D< T > | operator* (const Array1D< T > &A, const Array1D< T > &B)
template<class T >
Array1D< T > | operator/ (const Array1D< T > &A, const Array1D< T > &B)
template<class T >
Array1D< T > & | operator+= (Array1D< T > &A, const Array1D< T > &B)
template<class T >
Array1D< T > & | operator-= (Array1D< T > &A, const Array1D< T > &B)
template<class T >
Array1D< T > & | operator*= (Array1D< T > &A, const Array1D< T > &B)
template<class T >
Array1D< T > & | operator/= (Array1D< T > &A, const Array1D< T > &B)
template<class T >
std::ostream & | operator<< (std::ostream &s, const Array2D< T > &A)
template<class T >
std::istream & | operator>> (std::istream &s, Array2D< T > &A)
template<class T >
Array2D< T > | operator+ (const Array2D< T > &A, const Array2D< T > &B)
template<class T >
Array2D< T > | operator- (const Array2D< T > &A, const Array2D< T > &B)
template<class T >
Array2D< T > | operator* (const Array2D< T > &A, const Array2D< T > &B)
template<class T >
Array2D< T > | operator/ (const Array2D< T > &A, const Array2D< T > &B)
template<class T >
Array2D< T > & | operator+= (Array2D< T > &A, const Array2D< T > &B)
template<class T >
Array2D< T > & | operator-= (Array2D< T > &A, const Array2D< T > &B)
template<class T >
Array2D< T > & | operator*= (Array2D< T > &A, const Array2D< T > &B)
template<class T >
Array2D< T > & | operator/= (Array2D< T > &A, const Array2D< T > &B)
template<class T >
Array2D< T > | matmult (const Array2D< T > &A, const Array2D< T > &B)
| Matrix Multiply: compute C = A*B, where C[i][j] is the dot-product of row i of A and column j of B.
template<class T >
std::ostream & | operator<< (std::ostream &s, const Array3D< T > &A)
template<class T >
std::istream & | operator>> (std::istream &s, Array3D< T > &A)
template<class T >
Array3D< T > | operator+ (const Array3D< T > &A, const Array3D< T > &B)
template<class T >
Array3D< T > | operator- (const Array3D< T > &A, const Array3D< T > &B)
template<class T >
Array3D< T > | operator* (const Array3D< T > &A, const Array3D< T > &B)
template<class T >
Array3D< T > | operator/ (const Array3D< T > &A, const Array3D< T > &B)
template<class T >
Array3D< T > & | operator+= (Array3D< T > &A, const Array3D< T > &B)
template<class T >
Array3D< T > & | operator-= (Array3D< T > &A, const Array3D< T > &B)
template<class T >
Array3D< T > & | operator*= (Array3D< T > &A, const Array3D< T > &B)
template<class T >
Array3D< T > & | operator/= (Array3D< T > &A, const Array3D< T > &B)
template<class T >
std::ostream & | operator<< (std::ostream &s, const Matrix< T > &A)
template<class T >
std::istream & | operator>> (std::istream &s, Matrix< T > &A)
template<class T >
Matrix< T > | operator+ (const Matrix< T > &A, const Matrix< T > &B)
template<class T >
Matrix< T > | operator- (const Matrix< T > &A, const Matrix< T > &B)
template<class T >
Matrix< T > | mult_element (const Matrix< T > &A, const Matrix< T > &B)
template<class T >
Matrix< T > | transpose (const Matrix< T > &A)
template<class T >
Matrix< T > | matmult (const Matrix< T > &A, const Matrix< T > &B)
template<class T >
Matrix< T > | operator* (const Matrix< T > &A, const Matrix< T > &B)
template<class T >
int | matmult (Matrix< T > &C, const Matrix< T > &A, const Matrix< T > &B)
template<class T >
Vector< T > | matmult (const Matrix< T > &A, const Vector< T > &x)
template<class T >
Vector< T > | operator* (const Matrix< T > &A, const Vector< T > &x)
template<class T >
std::ostream & | operator<< (std::ostream &s, const Fortran_Array1D< T > &A)
| Write an array to a character outstream.
template<class T >
std::istream & | operator>> (std::istream &s, Fortran_Array1D< T > &A)
| Read an array from a character stream.
template<class T >
Fortran_Array1D< T > | operator+ (const Fortran_Array1D< T > &A, const Fortran_Array1D< T > &B)
template<class T >
Fortran_Array1D< T > | operator- (const Fortran_Array1D< T > &A, const Fortran_Array1D< T > &B)
template<class T >
Fortran_Array1D< T > | operator* (const Fortran_Array1D< T > &A, const Fortran_Array1D< T > &B)
template<class T >
Fortran_Array1D< T > | operator/ (const Fortran_Array1D< T > &A, const Fortran_Array1D< T > &B)
template<class T >
Fortran_Array1D< T > & | operator+= (Fortran_Array1D< T > &A, const Fortran_Array1D< T > &B)
template<class T >
Fortran_Array1D< T > & | operator-= (Fortran_Array1D< T > &A, const Fortran_Array1D< T > &B)
template<class T >
Fortran_Array1D< T > & | operator*= (Fortran_Array1D< T > &A, const Fortran_Array1D< T > &B)
template<class T >
Fortran_Array1D< T > & | operator/= (Fortran_Array1D< T > &A, const Fortran_Array1D< T > &B)
template<class T >
std::ostream & | operator<< (std::ostream &s, const Fortran_Array2D< T > &A)
template<class T >
std::istream & | operator>> (std::istream &s, Fortran_Array2D< T > &A)
template<class T >
Fortran_Array2D< T > | operator+ (const Fortran_Array2D< T > &A, const Fortran_Array2D< T > &B)
template<class T >
Fortran_Array2D< T > | operator- (const Fortran_Array2D< T > &A, const Fortran_Array2D< T > &B)
template<class T >
Fortran_Array2D< T > | operator* (const Fortran_Array2D< T > &A, const Fortran_Array2D< T > &B)
template<class T >
Fortran_Array2D< T > | operator/ (const Fortran_Array2D< T > &A, const Fortran_Array2D< T > &B)
template<class T >
Fortran_Array2D< T > & | operator+= (Fortran_Array2D< T > &A, const Fortran_Array2D< T > &B)
template<class T >
Fortran_Array2D< T > & | operator-= (Fortran_Array2D< T > &A, const Fortran_Array2D< T > &B)
template<class T >
Fortran_Array2D< T > & | operator*= (Fortran_Array2D< T > &A, const Fortran_Array2D< T > &B)
template<class T >
Fortran_Array2D< T > & | operator/= (Fortran_Array2D< T > &A, const Fortran_Array2D< T > &B)
template<class T >
std::ostream & | operator<< (std::ostream &s, const Fortran_Array3D< T > &A)
template<class T >
std::istream & | operator>> (std::istream &s, Fortran_Array3D< T > &A)
template<class T >
Fortran_Array3D< T > | operator+ (const Fortran_Array3D< T > &A, const Fortran_Array3D< T > &B)
template<class T >
Fortran_Array3D< T > | operator- (const Fortran_Array3D< T > &A, const Fortran_Array3D< T > &B)
template<class T >
Fortran_Array3D< T > | operator* (const Fortran_Array3D< T > &A, const Fortran_Array3D< T > &B)
template<class T >
Fortran_Array3D< T > | operator/ (const Fortran_Array3D< T > &A, const Fortran_Array3D< T > &B)
template<class T >
Fortran_Array3D< T > & | operator+= (Fortran_Array3D< T > &A, const Fortran_Array3D< T > &B)
template<class T >
Fortran_Array3D< T > & | operator-= (Fortran_Array3D< T > &A, const Fortran_Array3D< T > &B)
template<class T >
Fortran_Array3D< T > & | operator*= (Fortran_Array3D< T > &A, const Fortran_Array3D< T > &B)
template<class T >
Fortran_Array3D< T > & | operator/= (Fortran_Array3D< T > &A, const Fortran_Array3D< T > &B)
template<class Real >
Real | hypot (const Real &a, const Real &b)
template<class T >
std::ostream & | operator<< (std::ostream &s, const Vector< T > &A)
template<class T >
std::istream & | operator>> (std::istream &s, Vector< T > &A)
template<class T >
Vector< T > | operator+ (const Vector< T > &A, const Vector< T > &B)
template<class T >
Vector< T > | operator- (const Vector< T > &A, const Vector< T > &B)
template<class T >
Vector< T > | operator* (const Vector< T > &A, const Vector< T > &B)
template<class T >
T | dot_prod (const Vector< T > &A, const Vector< T > &B)

## Typedef Documentation

## ◆ Subscript

typedef TNT_SUBSCRIPT_TYPE TNT::Subscript

Definition at line 43 of file tnt_subscript.h.

## Function Documentation

## ◆ dot_prod()

template<class T >

T TNT::dot_prod | ( | const Vector< T > & | A,
|  | const Vector< T > & | B
| ) |  |

Definition at line 387 of file tnt_vec.h.

## ◆ hypot()

template<class Real >

Real TNT::hypot | ( | const Real & | a,
|  | const Real & | b
| ) |  |

Returns
  hypotenuse of real (non-complex) scalars a and b by avoiding underflow/overflow using (a * sqrt( 1 + (b/a) * (b/a))), rather than sqrt(a*a + b*b).

Definition at line 18 of file tnt_math_utils.h.

## ◆ matmult() [1/4]

template<class T >

Array2D< T > TNT::matmult | ( | const Array2D< T > & | A,
|  | const Array2D< T > & | B
| ) |  |

Matrix Multiply: compute C = A*B, where C[i][j] is the dot-product of row i of A and column j of B.

Parameters

  A | an (m x n) array
  B | an (n x k) array

Returns
  the (m x k) array A*B, or a null array (0x0) if the matrices are non-conformant (i.e. the number of columns of A are different than the number of rows of B.)

Definition at line 259 of file tnt_array2d_utils.h.

## ◆ matmult() [2/4]

template<class T >

Matrix< T > TNT::matmult | ( | const Matrix< T > & | A,
|  | const Matrix< T > & | B
| ) |  |
| inline

Definition at line 472 of file tnt_cmat.h.

## ◆ matmult() [3/4]

template<class T >

Vector< T > TNT::matmult | ( | const Matrix< T > & | A,
|  | const Vector< T > & | x
| ) |  |

Definition at line 545 of file tnt_cmat.h.

## ◆ matmult() [4/4]

template<class T >

int TNT::matmult | ( | Matrix< T > & | C,
|  | const Matrix< T > & | A,
|  | const Matrix< T > & | B
| ) |  |
| inline

Definition at line 508 of file tnt_cmat.h.

## ◆ mult_element()

template<class T >

Matrix< T > TNT::mult_element | ( | const Matrix< T > & | A,
|  | const Matrix< T > & | B
| ) |  |

Definition at line 433 of file tnt_cmat.h.

## ◆ operator*() [1/9]

template<class T >

Array1D< T > TNT::operator* | ( | const Array1D< T > & | A,
|  | const Array1D< T > & | B
| ) |  |

Definition at line 107 of file tnt_array1d_utils.h.

## ◆ operator*() [2/9]

template<class T >

Array2D< T > TNT::operator* | ( | const Array2D< T > & | A,
|  | const Array2D< T > & | B
| ) |  |

Definition at line 119 of file tnt_array2d_utils.h.

## ◆ operator*() [3/9]

template<class T >

Array3D< T > TNT::operator* | ( | const Array3D< T > & | A,
|  | const Array3D< T > & | B
| ) |  |

Definition at line 109 of file tnt_array3d_utils.h.

## ◆ operator*() [4/9]

template<class T >

Fortran_Array1D< T > TNT::operator* | ( | const Fortran_Array1D< T > & | A,
|  | const Fortran_Array1D< T > & | B
| ) |  |

Definition at line 123 of file tnt_fortran_array1d_utils.h.

## ◆ operator*() [5/9]

template<class T >

Fortran_Array2D< T > TNT::operator* | ( | const Fortran_Array2D< T > & | A,
|  | const Fortran_Array2D< T > & | B
| ) |  |

Definition at line 120 of file tnt_fortran_array2d_utils.h.

## ◆ operator*() [6/9]

template<class T >

Fortran_Array3D< T > TNT::operator* | ( | const Fortran_Array3D< T > & | A,
|  | const Fortran_Array3D< T > & | B
| ) |  |

Definition at line 124 of file tnt_fortran_array3d_utils.h.

## ◆ operator*() [7/9]

template<class T >

Matrix< T > TNT::operator* | ( | const Matrix< T > & | A,
|  | const Matrix< T > & | B
| ) |  |
| inline

Definition at line 501 of file tnt_cmat.h.

## ◆ operator*() [8/9]

template<class T >

Vector< T > TNT::operator* | ( | const Matrix< T > & | A,
|  | const Vector< T > & | x
| ) |  |
| inline

Definition at line 572 of file tnt_cmat.h.

## ◆ operator*() [9/9]

template<class T >

Vector< T > TNT::operator* | ( | const Vector< T > & | A,
|  | const Vector< T > & | B
| ) |  |

Definition at line 369 of file tnt_vec.h.

## ◆ operator*=() [1/6]

template<class T >

Array1D< T > & TNT::operator*= | ( | Array1D< T > & | A,
|  | const Array1D< T > & | B
| ) |  |

Definition at line 191 of file tnt_array1d_utils.h.

## ◆ operator*=() [2/6]

template<class T >

Array2D< T > & TNT::operator*= | ( | Array2D< T > & | A,
|  | const Array2D< T > & | B
| ) |  |

Definition at line 208 of file tnt_array2d_utils.h.

## ◆ operator*=() [3/6]

template<class T >

Array3D< T > & TNT::operator*= | ( | Array3D< T > & | A,
|  | const Array3D< T > & | B
| ) |  |

Definition at line 194 of file tnt_array3d_utils.h.

## ◆ operator*=() [4/6]

template<class T >

Fortran_Array1D< T > & TNT::operator*= | ( | Fortran_Array1D< T > & | A,
|  | const Fortran_Array1D< T > & | B
| ) |  |

Definition at line 207 of file tnt_fortran_array1d_utils.h.

## ◆ operator*=() [5/6]

template<class T >

Fortran_Array2D< T > & TNT::operator*= | ( | Fortran_Array2D< T > & | A,
|  | const Fortran_Array2D< T > & | B
| ) |  |

Definition at line 201 of file tnt_fortran_array2d_utils.h.

## ◆ operator*=() [6/6]

template<class T >

Fortran_Array3D< T > & TNT::operator*= | ( | Fortran_Array3D< T > & | A,
|  | const Fortran_Array3D< T > & | B
| ) |  |

Definition at line 210 of file tnt_fortran_array3d_utils.h.

## ◆ operator+() [1/8]

template<class T >

Array1D< T > TNT::operator+ | ( | const Array1D< T > & | A,
|  | const Array1D< T > & | B
| ) |  |

Definition at line 64 of file tnt_array1d_utils.h.

## ◆ operator+() [2/8]

template<class T >

Array2D< T > TNT::operator+ | ( | const Array2D< T > & | A,
|  | const Array2D< T > & | B
| ) |  |

Definition at line 74 of file tnt_array2d_utils.h.

## ◆ operator+() [3/8]

template<class T >

Array3D< T > TNT::operator+ | ( | const Array3D< T > & | A,
|  | const Array3D< T > & | B
| ) |  |

Definition at line 59 of file tnt_array3d_utils.h.

## ◆ operator+() [4/8]

template<class T >

Fortran_Array1D< T > TNT::operator+ | ( | const Fortran_Array1D< T > & | A,
|  | const Fortran_Array1D< T > & | B
| ) |  |

Definition at line 80 of file tnt_fortran_array1d_utils.h.

## ◆ operator+() [5/8]

template<class T >

Fortran_Array2D< T > TNT::operator+ | ( | const Fortran_Array2D< T > & | A,
|  | const Fortran_Array2D< T > & | B
| ) |  |

Definition at line 75 of file tnt_fortran_array2d_utils.h.

## ◆ operator+() [6/8]

template<class T >

Fortran_Array3D< T > TNT::operator+ | ( | const Fortran_Array3D< T > & | A,
|  | const Fortran_Array3D< T > & | B
| ) |  |

Definition at line 76 of file tnt_fortran_array3d_utils.h.

## ◆ operator+() [7/8]

template<class T >

Matrix< T > TNT::operator+ | ( | const Matrix< T > & | A,
|  | const Matrix< T > & | B
| ) |  |

Definition at line 393 of file tnt_cmat.h.

## ◆ operator+() [8/8]

template<class T >

Vector< T > TNT::operator+ | ( | const Vector< T > & | A,
|  | const Vector< T > & | B
| ) |  |

Definition at line 335 of file tnt_vec.h.

## ◆ operator+=() [1/6]

template<class T >

Array1D< T > & TNT::operator+= | ( | Array1D< T > & | A,
|  | const Array1D< T > & | B
| ) |  |

Definition at line 156 of file tnt_array1d_utils.h.

## ◆ operator+=() [2/6]

template<class T >

Array2D< T > & TNT::operator+= | ( | Array2D< T > & | A,
|  | const Array2D< T > & | B
| ) |  |

Definition at line 170 of file tnt_array2d_utils.h.

## ◆ operator+=() [3/6]

template<class T >

Array3D< T > & TNT::operator+= | ( | Array3D< T > & | A,
|  | const Array3D< T > & | B
| ) |  |

Definition at line 158 of file tnt_array3d_utils.h.

## ◆ operator+=() [4/6]

template<class T >

Fortran_Array1D< T > & TNT::operator+= | ( | Fortran_Array1D< T > & | A,
|  | const Fortran_Array1D< T > & | B
| ) |  |

Definition at line 172 of file tnt_fortran_array1d_utils.h.

## ◆ operator+=() [5/6]

template<class T >

Fortran_Array2D< T > & TNT::operator+= | ( | Fortran_Array2D< T > & | A,
|  | const Fortran_Array2D< T > & | B
| ) |  |

Definition at line 167 of file tnt_fortran_array2d_utils.h.

## ◆ operator+=() [6/6]

template<class T >

Fortran_Array3D< T > & TNT::operator+= | ( | Fortran_Array3D< T > & | A,
|  | const Fortran_Array3D< T > & | B
| ) |  |

Definition at line 172 of file tnt_fortran_array3d_utils.h.

## ◆ operator-() [1/8]

template<class T >

Array1D< T > TNT::operator- | ( | const Array1D< T > & | A,
|  | const Array1D< T > & | B
| ) |  |

Definition at line 86 of file tnt_array1d_utils.h.

## ◆ operator-() [2/8]

template<class T >

Array2D< T > TNT::operator- | ( | const Array2D< T > & | A,
|  | const Array2D< T > & | B
| ) |  |

Definition at line 96 of file tnt_array2d_utils.h.

## ◆ operator-() [3/8]

template<class T >

Array3D< T > TNT::operator- | ( | const Array3D< T > & | A,
|  | const Array3D< T > & | B
| ) |  |

Definition at line 83 of file tnt_array3d_utils.h.

## ◆ operator-() [4/8]

template<class T >

Fortran_Array1D< T > TNT::operator- | ( | const Fortran_Array1D< T > & | A,
|  | const Fortran_Array1D< T > & | B
| ) |  |

Definition at line 102 of file tnt_fortran_array1d_utils.h.

## ◆ operator-() [5/8]

template<class T >

Fortran_Array2D< T > TNT::operator- | ( | const Fortran_Array2D< T > & | A,
|  | const Fortran_Array2D< T > & | B
| ) |  |

Definition at line 97 of file tnt_fortran_array2d_utils.h.

## ◆ operator-() [6/8]

template<class T >

Fortran_Array3D< T > TNT::operator- | ( | const Fortran_Array3D< T > & | A,
|  | const Fortran_Array3D< T > & | B
| ) |  |

Definition at line 100 of file tnt_fortran_array3d_utils.h.

## ◆ operator-() [7/8]

template<class T >

Matrix< T > TNT::operator- | ( | const Matrix< T > & | A,
|  | const Matrix< T > & | B
| ) |  |

Definition at line 413 of file tnt_cmat.h.

## ◆ operator-() [8/8]

template<class T >

Vector< T > TNT::operator- | ( | const Vector< T > & | A,
|  | const Vector< T > & | B
| ) |  |

Definition at line 352 of file tnt_vec.h.

## ◆ operator-=() [1/6]

template<class T >

Array1D< T > & TNT::operator-= | ( | Array1D< T > & | A,
|  | const Array1D< T > & | B
| ) |  |

Definition at line 174 of file tnt_array1d_utils.h.

## ◆ operator-=() [2/6]

template<class T >

Array2D< T > & TNT::operator-= | ( | Array2D< T > & | A,
|  | const Array2D< T > & | B
| ) |  |

Definition at line 189 of file tnt_array2d_utils.h.

## ◆ operator-=() [3/6]

template<class T >

Array3D< T > & TNT::operator-= | ( | Array3D< T > & | A,
|  | const Array3D< T > & | B
| ) |  |

Definition at line 176 of file tnt_array3d_utils.h.

## ◆ operator-=() [4/6]

template<class T >

Fortran_Array1D< T > & TNT::operator-= | ( | Fortran_Array1D< T > & | A,
|  | const Fortran_Array1D< T > & | B
| ) |  |

Definition at line 190 of file tnt_fortran_array1d_utils.h.

## ◆ operator-=() [5/6]

template<class T >

Fortran_Array2D< T > & TNT::operator-= | ( | Fortran_Array2D< T > & | A,
|  | const Fortran_Array2D< T > & | B
| ) |  |

Definition at line 184 of file tnt_fortran_array2d_utils.h.

## ◆ operator-=() [6/6]

template<class T >

Fortran_Array3D< T > & TNT::operator-= | ( | Fortran_Array3D< T > & | A,
|  | const Fortran_Array3D< T > & | B
| ) |  |

Definition at line 191 of file tnt_fortran_array3d_utils.h.

## ◆ operator/() [1/6]

template<class T >

Array1D< T > TNT::operator/ | ( | const Array1D< T > & | A,
|  | const Array1D< T > & | B
| ) |  |

Definition at line 128 of file tnt_array1d_utils.h.

## ◆ operator/() [2/6]

template<class T >

Array2D< T > TNT::operator/ | ( | const Array2D< T > & | A,
|  | const Array2D< T > & | B
| ) |  |

Definition at line 144 of file tnt_array2d_utils.h.

## ◆ operator/() [3/6]

template<class T >

Array3D< T > TNT::operator/ | ( | const Array3D< T > & | A,
|  | const Array3D< T > & | B
| ) |  |

Definition at line 133 of file tnt_array3d_utils.h.

## ◆ operator/() [4/6]

template<class T >

Fortran_Array1D< T > TNT::operator/ | ( | const Fortran_Array1D< T > & | A,
|  | const Fortran_Array1D< T > & | B
| ) |  |

Definition at line 144 of file tnt_fortran_array1d_utils.h.

## ◆ operator/() [5/6]

template<class T >

Fortran_Array2D< T > TNT::operator/ | ( | const Fortran_Array2D< T > & | A,
|  | const Fortran_Array2D< T > & | B
| ) |  |

Definition at line 143 of file tnt_fortran_array2d_utils.h.

## ◆ operator/() [6/6]

template<class T >

Fortran_Array3D< T > TNT::operator/ | ( | const Fortran_Array3D< T > & | A,
|  | const Fortran_Array3D< T > & | B
| ) |  |

Definition at line 148 of file tnt_fortran_array3d_utils.h.

## ◆ operator/=() [1/6]

template<class T >

Array1D< T > & TNT::operator/= | ( | Array1D< T > & | A,
|  | const Array1D< T > & | B
| ) |  |

Definition at line 209 of file tnt_array1d_utils.h.

## ◆ operator/=() [2/6]

template<class T >

Array2D< T > & TNT::operator/= | ( | Array2D< T > & | A,
|  | const Array2D< T > & | B
| ) |  |

Definition at line 229 of file tnt_array2d_utils.h.

## ◆ operator/=() [3/6]

template<class T >

Array3D< T > & TNT::operator/= | ( | Array3D< T > & | A,
|  | const Array3D< T > & | B
| ) |  |

Definition at line 213 of file tnt_array3d_utils.h.

## ◆ operator/=() [4/6]

template<class T >

Fortran_Array1D< T > & TNT::operator/= | ( | Fortran_Array1D< T > & | A,
|  | const Fortran_Array1D< T > & | B
| ) |  |

Definition at line 225 of file tnt_fortran_array1d_utils.h.

## ◆ operator/=() [5/6]

template<class T >

Fortran_Array2D< T > & TNT::operator/= | ( | Fortran_Array2D< T > & | A,
|  | const Fortran_Array2D< T > & | B
| ) |  |

Definition at line 218 of file tnt_fortran_array2d_utils.h.

## ◆ operator/=() [6/6]

template<class T >

Fortran_Array3D< T > & TNT::operator/= | ( | Fortran_Array3D< T > & | A,
|  | const Fortran_Array3D< T > & | B
| ) |  |

Definition at line 229 of file tnt_fortran_array3d_utils.h.

## ◆ operator<<() [1/8]

template<class T >

std::ostream & TNT::operator<< | ( | std::ostream & | s,
|  | const Array1D< T > & | A
| ) |  |

Definition at line 31 of file tnt_array1d_utils.h.

## ◆ operator<<() [2/8]

template<class T >

std::ostream & TNT::operator<< | ( | std::ostream & | s,
|  | const Array2D< T > & | A
| ) |  |

Definition at line 32 of file tnt_array2d_utils.h.

## ◆ operator<<() [3/8]

template<class T >

std::ostream & TNT::operator<< | ( | std::ostream & | s,
|  | const Array3D< T > & | A
| ) |  |

Definition at line 14 of file tnt_array3d_utils.h.

## ◆ operator<<() [4/8]

template<class T >

std::ostream & TNT::operator<< | ( | std::ostream & | s,
|  | const Fortran_Array1D< T > & | A
| ) |  |

Write an array to a character outstream.

Output format is one that can be read back in via the in-stream operator: one integer denoting the array dimension (n), followed by n elements, one per line.

Definition at line 37 of file tnt_fortran_array1d_utils.h.

## ◆ operator<<() [5/8]

template<class T >

std::ostream & TNT::operator<< | ( | std::ostream & | s,
|  | const Fortran_Array2D< T > & | A
| ) |  |

Definition at line 31 of file tnt_fortran_array2d_utils.h.

## ◆ operator<<() [6/8]

template<class T >

std::ostream & TNT::operator<< | ( | std::ostream & | s,
|  | const Fortran_Array3D< T > & | A
| ) |  |

Definition at line 32 of file tnt_fortran_array3d_utils.h.

## ◆ operator<<() [7/8]

template<class T >

std::ostream & TNT::operator<< | ( | std::ostream & | s,
|  | const Matrix< T > & | A
| ) |  |

Definition at line 345 of file tnt_cmat.h.

## ◆ operator<<() [8/8]

template<class T >

std::ostream & TNT::operator<< | ( | std::ostream & | s,
|  | const Vector< T > & | A
| ) |  |

Definition at line 297 of file tnt_vec.h.

## ◆ operator>>() [1/8]

template<class T >

std::istream & TNT::operator>> | ( | std::istream & | s,
|  | Array1D< T > & | A
| ) |  |

Definition at line 49 of file tnt_array1d_utils.h.

## ◆ operator>>() [2/8]

template<class T >

std::istream & TNT::operator>> | ( | std::istream & | s,
|  | Array2D< T > & | A
| ) |  |

Definition at line 53 of file tnt_array2d_utils.h.

## ◆ operator>>() [3/8]

template<class T >

std::istream & TNT::operator>> | ( | std::istream & | s,
|  | Array3D< T > & | A
| ) |  |

Definition at line 38 of file tnt_array3d_utils.h.

## ◆ operator>>() [4/8]

template<class T >

std::istream & TNT::operator>> | ( | std::istream & | s,
|  | Fortran_Array1D< T > & | A
| ) |  |

Read an array from a character stream.

Input format is one integer, denoting the dimension (n), followed by n whitespace-separated elements. Newlines are ignored

Note: the array being read into references new memory storage. If the intent is to fill an existing conformant array, use `cin >> B; A.inject(B) );` instead or read the elements in one-a-time by hand.

Parameters

  s | the charater to read from (typically `std::in`)
  A | the array to read into.

Definition at line 66 of file tnt_fortran_array1d_utils.h.

## ◆ operator>>() [5/8]

template<class T >

std::istream & TNT::operator>> | ( | std::istream & | s,
|  | Fortran_Array2D< T > & | A
| ) |  |

Definition at line 52 of file tnt_fortran_array2d_utils.h.

## ◆ operator>>() [6/8]

template<class T >

std::istream & TNT::operator>> | ( | std::istream & | s,
|  | Fortran_Array3D< T > & | A
| ) |  |

Definition at line 56 of file tnt_fortran_array3d_utils.h.

## ◆ operator>>() [7/8]

template<class T >

std::istream & TNT::operator>> | ( | std::istream & | s,
|  | Matrix< T > & | A
| ) |  |

Definition at line 366 of file tnt_cmat.h.

## ◆ operator>>() [8/8]

template<class T >

std::istream & TNT::operator>> | ( | std::istream & | s,
|  | Vector< T > & | A
| ) |  |

Definition at line 311 of file tnt_vec.h.

## ◆ transpose()

template<class T >

Matrix< T > TNT::transpose | ( | const Matrix< T > & | A | ) |

Definition at line 454 of file tnt_cmat.h.